> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all custom roles within pagination

> List all custom roles within an app



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/custom-roles
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/custom-roles:
    get:
      tags:
        - CustomRoles
      summary: List all custom roles within pagination
      description: List all custom roles within an app
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Search by name
          in: query
          name: search
          schema:
            type: string
        - description: Sort order. Should be one of ASC or DESC. Default DESC
          in: query
          name: sort-order
          schema:
            type: string
        - description: >-
            The key to sort on. Can be one of  `created_at`, `updated_at`, and
            `name` (Default is `created_at`)
          in: query
          name: sort-key
          schema:
            type: string
        - description: Page number (default is 1)
          in: query
          name: page
          schema:
            type: integer
        - description: >-
            Amount of custom roles per page. Minimum 0 and max 100 (default is
            20)
          in: query
          name: per-page
          schema:
            type: integer
      responses:
        '200':
          description: List of app custom roles
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseCustomRoleList
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseCustomRoleList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.CustomRole'
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.CustomRole:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object

````